Loading...
Searching...
No Matches
datetime::DateTime::ClockChangedEvent Struct Reference

Event that is sent when the device time is changed. More...

`import "DateTime.idl";`

Inheritance diagram for datetime::DateTime::ClockChangedEvent:

## Public Attributes

time | oldTime
| Device time before change (UNIX timestamp, UTC)
time | newTime
| Device time after change (UNIX timestamp, UTC)
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event that is sent when the device time is changed.

Definition at line 91 of file DateTime.idl.

## Member Data Documentation

## newTime

time datetime::DateTime::ClockChangedEvent::newTime

Device time after change (UNIX timestamp, UTC)

Definition at line 93 of file DateTime.idl.

## oldTime

time datetime::DateTime::ClockChangedEvent::oldTime

Device time before change (UNIX timestamp, UTC)

Definition at line 92 of file DateTime.idl.

The documentation for this struct was generated from the following file:

- DateTime.idl